#
# spec file for package lirc-kernel (Version 0.8.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           lirc-kernel
BuildRequires:  kernel-source kernel-syms
License:        GNU General Public License (GPL)
Group:          System/Kernel
Summary:        LIRC kernel modules
Version:        0.8.0
Release:        0.1
Source0:        lirc-0.8.0.tar.bz2
Source1:        Makefile.module
Source2:        Makefile.modsub
Patch:          lirc-0.8.0-kernel.diff
Patch1:         lirc-0.8.0_igorplugusb_novermagic.diff
Patch2:         lirc-0.8.0-k2.6.18.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
NoSource:       0
%suse_kernel_module_package -n lirc kdump um xen debug

%description
this package is just a placeholder



%package KMP
Summary:        LIRC kernel modules
Group:          System/Kernel

%description KMP
LIRC kernel modules are required to support certain hardware such as
receivers for the serial port.



%prep
%setup -n lirc-%version
%patch -p0
%patch1 -p1
%patch2
./configure --with-driver=all
cp -a drivers source
find source -name 'Makefile*'|xargs rm
ln -s . source/drivers
for i in source/lirc_*; do
	cp %{SOURCE2} $i/Makefile
done
cp %{SOURCE1} source/Makefile
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	 M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
* Mon Aug 21 2006 - ro@suse.de
- fix build with 2.6.18 (from cvs)
* Thu Feb 16 2006 - lnussel@suse.de
- remove redundant vermagic line from igorplugusb as it apparently
  confuses some magic kernel package script
* Wed Feb 08 2006 - agruen@suse.de
- Rename lirc-kernel-kmp-* to lirc-kmp-*.
* Tue Feb 07 2006 - lnussel@suse.de
- serial and sir fail on ppc, skip them
- bt829, it87 and parallel fail on s390, skip them
* Thu Feb 02 2006 - lnussel@suse.de
- initial kernel module package
